Search found 159 matches

Go to advanced search

by ebrahim raeyat
Mon Oct 07, 2019 7:04 pm
Forum: Help on using FreeCAD
Topic: Failed to parse expression in windows
Replies: 0
Views: 98

Failed to parse expression in windows

for parsing expression in FreeCAD, i found when i add dot(.) before property in windows os, it sounds an error, but it works in linux, this is my script: import Sketcher import FreeCAD import Draft import Part xcoord = 0 yc = 0 r = 1 text = 'A' doc = App.newDocument() sketch = doc.addObject('Sketche...
by ebrahim raeyat
Sun Sep 29, 2019 7:32 am
Forum: Help on using FreeCAD
Topic: signal emit when closing a sketch
Replies: 11
Views: 221

Re: signal emit when closing a sketch

This is my complete code for x and y axis: import Sketcher import FreeCAD import FreeCADGui as Gui import Part import Draft font_size = 500 o = 500 l = 500 r = 500 yt = font_size / 3 no_of_edge_in_on_axis = 4 # x_grid_group.addObject(x_sketch) def create_x_grid(sketch, xcoord, text, i, YMIN, YMAX, y...
by ebrahim raeyat
Sat Sep 28, 2019 9:56 am
Forum: Help on using FreeCAD
Topic: signal emit when closing a sketch
Replies: 11
Views: 221

Re: signal emit when closing a sketch

Thanks @chrisb. this is my complete script: import Sketcher import FreeCAD import FreeCADGui as Gui import Part import Draft font_size = 1500 XMIN = -1000 YMIN = -2000 XMAX = 10000 YMAX = 20000 o = 500 l = 1000 r = 1500 y1 = YMAX + o y2 = y1 + 2 * l y3 = y2 + l y4 = y3 + l yc = y4 + r yt = font_size...
by ebrahim raeyat
Sat Sep 28, 2019 7:48 am
Forum: Help on using FreeCAD
Topic: signal emit when closing a sketch
Replies: 11
Views: 221

Re: signal emit when closing a sketch

chrisb wrote:
Fri Sep 27, 2019 5:03 pm
For my taste there are too many degrees of Freedom. Here is how I would do it outside of PartDesign (Letter C only):
very thanks. it is exactly what i want. Thanks.
by ebrahim raeyat
Sat Sep 28, 2019 7:15 am
Forum: Help on using FreeCAD
Topic: signal emit when closing a sketch
Replies: 11
Views: 221

Re: signal emit when closing a sketch

If you don't use PartDesign, you can use Expressions for the Placement of the Letters. Besides that, just try if it is too time consuming, or as we say in FreeCAD: "It's done when it's done". Thanks. I apply expression, but it did not work. expersion.png when i apply it in model, it did not give me...
by ebrahim raeyat
Fri Sep 27, 2019 1:19 pm
Forum: Help on using FreeCAD
Topic: signal emit when closing a sketch
Replies: 11
Views: 221

Re: signal emit when closing a sketch

Here is my PartDesign proposal: - Create a sketch with only the degrees of freedom left, the user is allowed to move - Create a ShapeString - Move the ShapeString into the body - Create a DatumPoint in the middle of the circle - Attach theShapeString to the DatumPoint - Change the AttachmentOffset ...
by ebrahim raeyat
Fri Sep 27, 2019 1:11 pm
Forum: Help on using FreeCAD
Topic: signal emit when closing a sketch
Replies: 11
Views: 221

Re: signal emit when closing a sketch

Moved to Help forum. That's where Sketcher issues are discussed. If I understand you right the issue is to keep the text centered inside of the circles right? Are your Sketches created from PartDesign workbench (i.e. inside of a PartDesign body) or from Sketcher (outside of PartDesign body)? I use ...
by ebrahim raeyat
Fri Sep 27, 2019 3:30 am
Forum: Help on using FreeCAD
Topic: signal emit when closing a sketch
Replies: 11
Views: 221

signal emit when closing a sketch

First excuse me for posting sketch related subject in this forum, because i didn't find related subject for SKETCH. I have an axis that their lines is very close to each other, like below: axis.png i decide to draw them with sketch to allowing the user to move them in a desired place. then i want to...
by ebrahim raeyat
Sat Sep 14, 2019 7:08 pm
Forum: Open discussion
Topic: Civil engineering feature implementation (Transportation Engineering)
Replies: 867
Views: 55451

Re: Civil engineering feature implementation (Transportation Engineering)

Courtesy of a comment by @ebrahim raeyat, I've made a small update to the UI: Screenshot from 2019-09-14 06-48-50.png The black page and arrow icon opens the LandXML importer. The four connected dots next to it starts the horizontal alignment tool, once a horizontal alignment is selected. The other...
by ebrahim raeyat
Fri Sep 13, 2019 3:06 pm
Forum: Open discussion
Topic: Civil engineering feature implementation (Transportation Engineering)
Replies: 867
Views: 55451

Re: Civil engineering feature implementation (Transportation Engineering)

I haven't really been doing a good job making the user interface accessible, I admit. CSV fucntionality is broken and deprecated. I won't be using it going forward. You can import an XML file by pressing CTRL_Shift_A. That will let you open a file dialog to pick the XML file. That *should* work. Ha...

Go to advanced search